/* entire container, keeps perspective */

.flip-container {
    -webkit-perspective: 1000;
    perspective: 1000;
    z-index: 0;
}


/* flip the pane when hovered */

.flip-container:hover .flipper,
.flip-container.hover .flipper {
    -webkit-transform: rotateY(180deg);
    transform: rotateY(180deg);
}

.flip-container:hover .back {
    z-index: 5;
}

.flip-container .back {
    background-color: white;
    border: 5px solid white;
}

.flip-container,
.front,
.back {
    width: 130px;
    height: 200px;
}

.flip-container img {
    border: 5px solid white;
}


/* flip speed goes here */

.flipper {
    transition: 1s;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    position: relative;
}


/* hide back of pane during swap */

.front,
.back {
    position: absolute;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}


/* front pane, placed above back */

.front {
    z-index: 1;
    /* for firefox 31 */
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
}


/* back, initially hidden pane */

.back {
    -webkit-transform: rotateY(180deg);
    transform: rotateY(180deg);
}
